HTTPSEverywhere.Context – httpseverywhere-0.8 Reference Manual

# Context

## Object Hierarchy:

## Description:

public class Context : Object

The library context object. Most applications will only need to create a single context.

Namespace: HTTPSEverywhere
Package: httpseverywhere-0.8

## Content:

### Enums:

- RewriteResult - Different states that express what a rewrite process did to a URL

### Properties:

- public bool initialized { get; }
  Indicates whether the library has been successfully initialized. Be careful: this property will become false at some point if you update the rulesets.

### Creation methods:

- public Context ()
  Create a new library context object.

### Methods:

- public async void init (Cancellable? cancellable = null) throws IOError
  This function initializes HTTPSEverywhere by loading the rulesets from the filesystem.
- public RewriteResult rewrite_result ()
  Obtain the RewriteResult for the last rewrite that has been done with Context.rewrite
- public string rewrite (string url)
  Takes a url and returns the appropriate HTTPS-enabled counterpart if there is any
- public bool has_https (string url)
  Returns true when there is a HTTPSEverywhere.Ruleset for the given URL
- public void ignore_ruleset (uint id)
  Tells once told the context to ignore the ruleset with the given id
- public void unignore_ruleset (uint id)
  Tells this context to check for a previously ignored ruleset again
- public void ignore_host (string host)
  Tells this context to ignore the given host
- public void unignore_host (string host)
  Tells this context to check for a previously ignored host again

### Inherited Members:

All known members inherited from class GLib.Object

- @new
- new_valist
- newv
- new_with_properties
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- freeze_notify
- @get

- get_class
- get_data
- get_property
- get_qdata
- get_type
- getv
- notify_property
- @ref
- ref_sink
- replace_data
- replace_qdata
- remove_toggle_ref
- remove_weak_pointer
- @set
- set_data

- set_data_full
- set_property
- set_qdata
- set_qdata_full
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref
- notify
- ref_count